Vault performances
Structure
Endpoints
Responses
200
Vault performance data
application/json
totalCountintegerOptional
get/vault-performances
GET /v1/vault-performances HTTP/1.1
Host: api.pareto.credit
Accept: */*
200
Vault performance data
{
"data": [
{
"_id": "text",
"vaultId": "text",
"vaultBlockId": "text",
"block": {
"number": 1,
"timestamp": 1
},
"age": 1,
"holders": 1,
"realizedAPY": 1,
"accruedRewards": [
{
"tokenId": "text",
"amount": "text",
"amountUSD": "text",
"APR": 1,
"percentage": 1
}
],
"earnings": {
"USD": "text",
"token": "text",
"percentage": 1
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"updatedBy": "text"
}
],
"totalCount": 1
}Path parameters
vaultPerformanceIdstringRequired
Responses
200
Vault performance entry
application/json
_idstringRequired
vaultIdstringRequired
vaultBlockIdstringRequired
agenumberRequired
holdersnumberRequired
realizedAPYnumberRequired
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
createdBystringRequired
updatedBystringRequired
get/vault-performances/{vaultPerformanceId}
GET /v1/vault-performances/{vaultPerformanceId} HTTP/1.1
Host: api.pareto.credit
Accept: */*
200
Vault performance entry
{
"_id": "text",
"vaultId": "text",
"vaultBlockId": "text",
"block": {
"number": 1,
"timestamp": 1
},
"age": 1,
"holders": 1,
"realizedAPY": 1,
"accruedRewards": [
{
"tokenId": "text",
"amount": "text",
"amountUSD": "text",
"APR": 1,
"percentage": 1
}
],
"earnings": {
"USD": "text",
"token": "text",
"percentage": 1
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"updatedBy": "text"
}Last updated